<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
?>
<table class="mainbox tableborder" cellSpacing="0" cellPadding="0" align="center">
	<tr>
		<th width="50%" colspan="3" align="center"><a href="?doaction=honorreadlist&action=<?=$honorobj->action?>"><?=$lang['honor.info78']?></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="?doaction=honoruser&action=<?=$honorobj->action?>"><?=$lang['honor.info79']?></a></th>
	</tr>
	<tr>
		<td width="25%" align="center" colspan="3" height="30" class="tablebody5"><?=$lang['honor.info80']?><b><?=$honorobj->username?></b>&nbsp;&nbsp;&nbsp;&nbsp;
		<?
			if(!empty($honorobj->usercurrhonor)){
				if(strpos($honorobj->usercurrhonor,'|||')!==false){
					$userhonorlists=explode('|||',$honorobj->usercurrhonor);
					foreach($userhonorlists as $userhonorarr){
						$h_title=$honorobj->honortitle($userhonorarr);
						echo '<img src="'.$lang['honor.info2'].$userhonorarr.'" border="0" title='.$h_title.'>&nbsp;';
					}
				}
				else{
					$h_title=$honorobj->honortitle($honorobj->usercurrhonor);
					echo '<img src="'.$lang['honor.info2'].$honorobj->usercurrhonor.'" border="0" title='.$h_title.'>&nbsp;';					
				}
			}
			else{
				echo $lang['honor.info81'];
			}
			?>
			</td>
	</tr>
	</table>
<table class="mainbox tableborder" cellSpacing="0" cellPadding="0" align="center">
	
<?
	if($doaction=='honorreadlist' or $doaction==''){
?>
	<tr>
		<th width="30%" align="center"><?=$lang['honor.info82']?></th>
		<th width="30%" align="center"><?=$lang['honor.info83']?></th>
		<th width="40%" align="center"><?=$lang['honor.info84']?></th>
	</tr>
<?
		foreach($hlist as $harr){
?>
	<tr>
		<td width="30%" class="tablebody6" align="center"><?=$harr['honorname']?></td>
		<td width="30%" class="tablebody6" align="center"><img src="<?=$lang['honor.info2'].$harr['honorpic']?>"></td>
		<td width="40%" class="tablebody5" align="left" style="text-align:left;line-height:30px;padding-left:40px;padding-top:0px;"><?=$harr['honorread']?></td>
	</tr>
<?
		}
	}
	elseif($doaction=='honoruser'){
?>

	<tr>
		<th width="30%" align="center"><?=$lang['honor.info85']?></th>
		<th width="70%" align="center"><?=$lang['honor.info86']?></th>
	</tr>
<?
		foreach($userlist as $userarr){
			$tmpuserhonorpics='';
			if($userarr['userhonor']!=''){
				if(strpos($userarr['userhonor'],'|||')!==false){
					$tmpuserhonor=explode('|||',$userarr['userhonor']);
					foreach ($tmpuserhonor as $tmpuserhonorarrs){
						$htitle=$honorobj->honortitle($tmpuserhonorarrs);
						$tmpuserhonorpics.='<img src='.$lang['honor.info2'].$tmpuserhonorarrs.' border=0 title='.$htitle.'>&nbsp;&nbsp;';
					}
				}
				else{
					$htitle=$honorobj->honortitle($userarr['userhonor']);
					$tmpuserhonorpics='<img src='.$lang['honor.info2'].$userarr['userhonor'].' border=0 title='.$htitle.'>';
				}
			}
			else{
				$tmpuserhonorpics='';
			}
?>
	<tr>
		<td width="30%" align="center" class="tablebody6"><?=$userarr['username']?></td>
		<td width="70%" align="left" class="tablebody5"style="text-align:left;line-height:30px;padding-left:20px;padding-top:0px;"><?=$tmpuserhonorpics?></td>
	</tr>
<?
		}
?>
	<tr>
		<td colspan="2" align="center" class="tablebody5">
<?
		if($total!=0){
			$p = new page;
			$p->setall($page,$total,$page_size,$lang['honor.info6'],$lang['honor.info7'],'100%','center','biz');
			echo $p->printpage(null,1);
		}
?>
		</td>
	</tr>

<?
	}
?>
</table>